%define version	0.1.1
%define release	%mkrel 1

%define scim_version	1.4.0
%define canna_version	3.7p3

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-canna
Summary:	Scim-canna is an SCIM IMEngine module for Canna
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.jp/projects/scim-imengine/
Source0:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}
Requires:			canna >= %{canna_version}
Requires:			scim >= %{scim_version}
BuildRequires:		canna >= %{canna_version}
BuildRequires:		canna-devel >= %{canna_version}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		automake1.8, libltdl-devel

%description
Scim-canna is an SCIM IMEngine module for Canna.
It supports Japanese input.


%package -n	%{libname}
Summary:	Scim-canna library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-canna library.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so


%changelog
* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-1mdk
- new release
- kill patch 0 (merged upstream)

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.0-4mdk
- Rebuild for new scim

* Tue Jul 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-3mdk
- rebuild for new scim (1.3.1)
- patch 0: fix build with g++-4.x

* Mon May 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.0-2mdk
- Rebuild for new scim

* Fri Apr 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- new release

* Thu Mar 24 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.20050324.1mdk
- first spec for Mandrakelinux
